package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorPrescribeDrug;

/**
 * 医生处方药品Service接口
 *
 * @author fs
 * @date 2023-08-08
 */
public interface IFsDoctorPrescribeDrugService
{
    /**
     * 查询医生处方药品
     *
     * @param drugId 医生处方药品主键
     * @return 医生处方药品
     */
    public FsDoctorPrescribeDrug selectFsDoctorPrescribeDrugByDrugId(Long drugId);

    /**
     * 查询医生处方药品列表
     *
     * @param fsDoctorPrescribeDrug 医生处方药品
     * @return 医生处方药品集合
     */
    public List<FsDoctorPrescribeDrug> selectFsDoctorPrescribeDrugList(FsDoctorPrescribeDrug fsDoctorPrescribeDrug);

    /**
     * 新增医生处方药品
     *
     * @param fsDoctorPrescribeDrug 医生处方药品
     * @return 结果
     */
    public int insertFsDoctorPrescribeDrug(FsDoctorPrescribeDrug fsDoctorPrescribeDrug);

    /**
     * 修改医生处方药品
     *
     * @param fsDoctorPrescribeDrug 医生处方药品
     * @return 结果
     */
    public int updateFsDoctorPrescribeDrug(FsDoctorPrescribeDrug fsDoctorPrescribeDrug);

    /**
     * 批量删除医生处方药品
     *
     * @param drugIds 需要删除的医生处方药品主键集合
     * @return 结果
     */
    public int deleteFsDoctorPrescribeDrugByDrugIds(Long[] drugIds);

    /**
     * 删除医生处方药品信息
     *
     * @param drugId 医生处方药品主键
     * @return 结果
     */
    public int deleteFsDoctorPrescribeDrugByDrugId(Long drugId);

    int deleteFsDoctorPrescribeDrugByPrescribe(Long prescribeId);
}
